import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
import login from '@common/src/store/login';
import examine from '@common/src/store/examine';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: { login, examine },
});
